Page MenuHomePhabricator

rack/setup/install sessionstore100[123].eqiad.wmnet
Closed, ResolvedPublic

Description

This task will track the racking, setup, and installation of 3 new session storage machines for codfw: sessionstore100[1-3].codfw.wmnet.

Racking Proposal: These 3 machines are the eqiad deployment, 3 more will go in codfw. ALL servers should be fully row redundant, so just 1 server per row. (There is no preference on which rows to use, use whatever rows have the most space.) These are 1G systems, so rack in 1G racks.

sessionstore1001:

  • - receive in system on procurement task T207801
  • - rack system with proposed racking plan (see above) & update netbox (include all system info plus location)
  • - bios/drac/serial setup/testing
  • - mgmt dns entries added for both asset tag and hostname
  • - network port setup (description, enable, internal vlan)
    • end on-site specific steps
  • - production dns entries added (internal subnets for each row)
  • - operations/puppet update (install_server at minimum, other files if possible)
  • - OS installation (stretch)
  • - puppet accept/initial run
  • - handoff for service implementation

sessionstore1002:

  • - receive in system on procurement task T207801
  • - rack system with proposed racking plan (see above) & update netbox (include all system info plus location)
  • - bios/drac/serial setup/testing
  • - mgmt dns entries added for both asset tag and hostname
  • - network port setup (description, enable, internal vlan)
    • end on-site specific steps
  • - production dns entries added (internal subnets for each row)
  • - operations/puppet update (install_server at minimum, other files if possible)
  • - OS installation (stretch)
  • - puppet accept/initial run
  • - handoff for service implementation

sessionstore1003:

  • - receive in system on procurement task T207801
  • - rack system with proposed racking plan (see above) & update netbox (include all system info plus location)
  • - bios/drac/serial setup/testing
  • - mgmt dns entries added for both asset tag and hostname
  • - network port setup (description, enable, internal vlan)
    • end on-site specific steps
  • - production dns entries added (internal subnets for each row)
  • - operations/puppet update (install_server at minimum, other files if possible)
  • - OS installation (stretch)
  • - puppet accept/initial run
  • - handoff for service implementation

Event Timeline

RobH created this task.Nov 13 2018, 4:49 PM
Restricted Application changed the subtype of this task from "Deadline" to "Task". · View Herald TranscriptNov 13 2018, 4:49 PM
Cmjohnson moved this task from Backlog to Racking Tasks on the ops-eqiad board.Nov 14 2018, 9:35 PM

Change 479027 had a related patch set uploaded (by Cmjohnson; owner: Cmjohnson):
[operations/dns@master] Adding mgmt dns for sessionstore100[1-3]

https://gerrit.wikimedia.org/r/479027

Change 479027 merged by Cmjohnson:
[operations/dns@master] Adding mgmt dns for sessionstore100[1-3]

https://gerrit.wikimedia.org/r/479027

Cmjohnson reassigned this task from Cmjohnson to RobH.Dec 12 2018, 3:36 PM
Cmjohnson updated the task description. (Show Details)
Cmjohnson added a subscriber: Cmjohnson.

Hi @RobH these are ready for installs. Thanks!

Change 479342 had a related patch set uploaded (by RobH; owner: RobH):
[operations/dns@master] sessionstore100[1-3].eqiad.wmnet dns entries

https://gerrit.wikimedia.org/r/479342

Change 479342 merged by RobH:
[operations/dns@master] sessionstore100[1-3].eqiad.wmnet dns entries

https://gerrit.wikimedia.org/r/479342

Change 479346 had a related patch set uploaded (by RobH; owner: RobH):
[operations/puppet@production] new sessionstore100[1-3].eqiad.wmnet puppet updates

https://gerrit.wikimedia.org/r/479346

Change 479346 merged by RobH:
[operations/puppet@production] new sessionstore100[1-3].eqiad.wmnet puppet updates

https://gerrit.wikimedia.org/r/479346

RobH changed the task status from Open to Stalled.EditedDec 12 2018, 11:26 PM
RobH reassigned this task from RobH to Eevans.
RobH removed projects: Patch-For-Review, ops-eqiad.
RobH updated the task description. (Show Details)

Ok, I've chatted with @Eevans about both T209393 and T209389. The sessionstore servers were put in to order this quarter, but the actual role and software won't be ready until next. (When the request went in, it was taking a LOT longer for Dell to get things to us.)

So this is being assigned to @Eevans so he is aware they are awaiting his team's usage, with the understanding the role still needs to be created in puppet.

@Eevans Is this closable?

Eevans closed this task as Resolved.Jul 5 2019, 9:06 PM

@Eevans Is this closable?

Aye.